Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Submit Trail Order (SIGNED)

Applicable for placing contract trail orders

Request URL

POST https://cloud-api.wooxpro.com/contract/private/submit-trail-order

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl 
 -H 'X-BM-KEY:{{AccessKey}}'
 -H 'X-BM-TIMESTAMP:{{currentTime}}'
 -H 'X-BM-SIGN:{{SIGN}}' 
 -X POST -d '{
  "symbol":"ETHUSDT",
  "side":4,
  "leverage":"1",
  "open_type":"isolated",
  "size":10,
  "activation_price":"2000",
  "callback_rate":"1",
  "activation_price_type":1
}'
https://cloud-api.wooxpro.com/contract/private/submit-trail-order
FieldTypeRequired?Description
symbolStringYesSymbol of the contract(like BTCUSDT)
sideIntYesOrder side
hedge mode
-1=buy_open_long
-2=buy_close_short
-3=sell_close_long
-4=sell_open_short
oneway mode
-1=buy
-2=buy(reduce only)
-3=sell(reduce only)
-4=sell
leverageStringYesOrder leverage
open_typeStringYesOpen type, required at close position
-cross
-isolated
sizeIntYesOrder size (Number of contracts)
activation_priceStringYesActivation price, required at trailing order
callback_rateStringYesCallback rate, required at trailing order, min 0.1, max 5 where 1 for 1%
activation_price_typeIntYesActivation price type, required at trailing order
-1=last_price
-2=fair_price

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": 220609666322019
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
FieldTypeDescription
order_idIntOrder ID